For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList API keys
      • POSTCreate API key
      • GETRetrieve API key
      • DELDelete API key
      • Api_key
      • Scopes
LogoLogo
Management APIAPI Keys

List API keys

GET
/api-keys
GET
/management/v1/api-keys
$curl https://api.cash.app/management/v1/api-keys \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "api_keys": [
3 {
4 "id": "KEY_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
5 "created_at": "2022-01-01T00:00:00Z",
6 "expires_at": "2022-02-01T00:00:00Z",
7 "scopes": [
8 "PAYMENTS_READ"
9 ],
10 "reference_id": "string"
11 }
12 ],
13 "cursor": "string"
14}

Returns a list of active API keys matching the given query parameters.

This endpoint is rate limited to 5 QPS.

Scopes: API_KEYS_READ

Was this page helpful?
Previous

Create API key

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of API keys to return.

Response

OK
api_keyslist of objects
List of API keys for the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error